Subject: I-D Action: draft-wang-lsr-prefix-unreachable-annoucement-05.txt

From: [email-masked]
Date: Tue, 29 Dec 2020 22:24:53 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Prefix Unreachable Announcement
        Authors         : Aijun Wang
                          Gyan Mishra
                          Zhibo Hu
                          Yaqun Xiao
	Filename        : draft-wang-lsr-prefix-unreachable-annoucement-05.txt
	Pages           : 9
	Date            : 2020-12-29

Abstract:
   This document describes a mechanism to solve an existing issue with
   Longest Prefix Match (LPM), that exists where an operator domain is
   divided into multiple areas or levels where summarization is
   utilized.  This draft addresses a fail-over issue related to a multi
   areas or levels domain, where a link or node down event occurs
   resulting in an LPM component prefix being omitted from the FIB
   resulting in black hole sink of routing and connectivity loss.  This
   draft introduces a new control plane convergence signaling mechanism
   using a negative prefix called Prefix Unreachable Announcement (PUA),
   utilized to detect a link or node down event and signal the RIB that
   the event has occurred to force immediate control plane convergence.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-wang-lsr-prefix-unreachable-annoucement/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-wang-lsr-prefix-unreachable-annoucement-05
https://datatracker.ietf.org/doc/html/draft-wang-lsr-prefix-unreachable-annoucement-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-wang-lsr-prefix-unreachable-annoucement-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/